import React, { Component } from 'react';
import { TextInput } from '@gravity-ui/uikit';
import './TextAreaControl.scss';
export declare type TextAreaControlProps = Omit<React.ComponentProps<typeof TextInput>, 'value' | 'ref' | 'onUpdate' | 'onChange' | 'error'> & {
    value: string;
    onChange: (value: string) => void;
    error?: string | undefined;
};
declare class TextControl extends Component<TextAreaControlProps> {
    static hasErrorRenderer: boolean;
    static getDefaultValue(): string;
    static isEmpty(value: string): boolean;
    render(): JSX.Element;
}
export default TextControl;
